summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFelix Janda <felix.janda@posteo.de>2015-04-03 17:41:53 +0200
committerAnthony G. Basile <blueness@gentoo.org>2015-04-03 15:46:07 -0400
commitf136e1ad51364c29ad132e1602786eee12e3687f (patch)
tree9b3687a10b9f895d2198551056859ec2ed4f4b3c
parent7172461f4acf59567ab8f6628d74ce01a32552e6 (diff)
downloadhardened-dev-f136e1ad51364c29ad132e1602786eee12e3687f.tar.gz
hardened-dev-f136e1ad51364c29ad132e1602786eee12e3687f.tar.bz2
hardened-dev-f136e1ad51364c29ad132e1602786eee12e3687f.tar.xz
hardened-dev-f136e1ad51364c29ad132e1602786eee12e3687f.zip
sys-apps/keyutils: bump to version 1.5.9
-rw-r--r--sys-apps/keyutils/Manifest6
-rw-r--r--sys-apps/keyutils/files/keyutils-1.5.5-remove-key.dns_resolver.patch47
-rw-r--r--sys-apps/keyutils/files/keyutils-1.5.9-UINT_MAX.patch12
-rw-r--r--sys-apps/keyutils/keyutils-1.5.9-r99.ebuild (renamed from sys-apps/keyutils/keyutils-1.5.5-r99.ebuild)55
4 files changed, 49 insertions, 71 deletions
diff --git a/sys-apps/keyutils/Manifest b/sys-apps/keyutils/Manifest
index 7c80786..033aaee 100644
--- a/sys-apps/keyutils/Manifest
+++ b/sys-apps/keyutils/Manifest
@@ -1,5 +1,5 @@
AUX keyutils-1.5.5-makefile-fixup.patch 879 SHA256 b68e7fab7293c680e5f44f3b116622b2d7dba2039e849ec53ab577c4e12f3a5b SHA512 d3628be5cd759fd59e3fb07897db2f23615cc4b2b12d537438c4c186e5588d8d7c22438fdb26003be29ace4910db24a889d4e35550b74a91958a4fcb4bc654c0 WHIRLPOOL 69a9ec2b8386e39c6c133395b96b7a50cc12e1a4644ce06198f4a77431b685e0e962938b97c7a757074beae8794ceafc9f36cf270064b855f91db0c91475ba1e
-AUX keyutils-1.5.5-remove-key.dns_resolver.patch 2004 SHA256 c9c4b95b7371bfbef1bbb7d1e5b1ff339693ec9690715c5c53b51fae0b51f175 SHA512 2807d103b3622a979a4dd02d41b877e2363a5078ac22c875b2108e11733e6e95b0763b1204caca3a9b7971429b499682526a2410c2562d85edaa25aedfb8c705 WHIRLPOOL 934b7b8c0685f4bf860727444db32cbf7b7d59c38cc6c12938e2fe796ac43ebd9dd10491c931c18a2b1372cecf856087edbb845ccd20b6552a335980fdac91b8
-DIST keyutils-1.5.5.tar.bz2 63397 SHA256 8fab781fb2d1450b2112a7fbfe6629522ae5a6b901f875a74a201012025a3fc5 SHA512 372a4881ca5cd679de0e6baa4e0e8c61ec8163b9259b018e1eb4db51fca68c0326d82a745abce96d22de367e88c88fa13b8afe438acfb38af799893630d3ba75 WHIRLPOOL 15c03983e18471b97e10f378d97c6e7e9ac7045c1f4721382f500cd8796f4a55575420b515b870ef94714bfb3dc62cb954e66efb2835fcb671c98d2f9ab33ae9
-EBUILD keyutils-1.5.5-r99.ebuild 2131 SHA256 cc8b946cea975a98ff228b1d8c2d3b0e91cc90f09f0054075bafb98278e34b2e SHA512 25a420ca2c27784e94c537ce2697cc11aedc9e2ed5d884f168bc1ac40d8d2ba609a5a6d9c32e997c02a4fec4929dfd0c70e4d4fcb1ac45a561da7e050e6b9661 WHIRLPOOL b0d1d7629dd860995ae885ca26d58ce2498b30058d06da836dbc64e05312eb86ac1e05899b4753642e241d1bab8730f7c41f77e6ed3206fda486a527de2a72c9
+AUX keyutils-1.5.9-UINT_MAX.patch 368 SHA256 6d8743f250bc23b3bda40f7ac319824345421d399294faaa8c6afc5dba604d12 SHA512 bf81128dbe5939ba88b884b68efcc08552ee5ef7ad9239d173e10e36a02c6a41f7fdd2093ed4111aacdc21cfc38b8a25feb226ce9849344b9fbf417b6791cb25 WHIRLPOOL c2f170df1176f7408b6123e2c69f9db3151b54e1638d4ca426402bd8e104f320921b17f6e1848389e94cef194ef80411999e11edf279fa8961416d773847859d
+DIST keyutils-1.5.9.tar.bz2 74683 SHA256 4da2c5552c688b65ab14d4fd40fbdf720c8b396d8ece643e040cf6e707e083ae SHA512 d4ee1dabb87844e18bfd8d094a5bc9ce792c96720b71e77961b6c36bb1addb9acea2a7004ddfba1d09b167af908368162312e5c3656b22a6266955bb57b887e2 WHIRLPOOL 0509cce076a32d2f319f596506d4aaeb83e1853ee6337e6a3041e6957e9098f4482ae56a9c6455605b72b3f34701a890e9be666b6fdd752ff14a3d3564dcba19
+EBUILD keyutils-1.5.9-r99.ebuild 2400 SHA256 ebf6b00892e437f12753db3d4914312eca1cfd84f72f99dff3da1eca655b1a37 SHA512 cdbbb086349787b5a76b5f9e746584dab95e912298839e92b800e431f90aec26575ab25942bad335b6374d05d84c4527dd336de4f2ef3a88e1d8e7e1187822e5 WHIRLPOOL 91de2851905f006226d2b309a922fd8ffa556a70cc74c52cb46786a7c9b6b78decaf20ede22bf604c727348ceb413909d8886ba36678145a6c314cf3f209b5f6
MISC metadata.xml 227 SHA256 eb6179099f91f31168c95bd4a018a01f37aa1eb8d9ba8d3ed039056bac71bcf8 SHA512 1e52da091741cb67f6a61955ebf0c314c3634d5cab187a27820fa76f36307cb9c404271360de061f9b2076dfa1e4f3fadb46a3834ad9fc6685fbc437e5c7c789 WHIRLPOOL 0baafc1e244b376dc66e10952a10ec634fabb384431da1bec9be95bb344109c7943c6e74ae249070a9c5ee93410714e2c9343a65e01309bac7918239b6492820
diff --git a/sys-apps/keyutils/files/keyutils-1.5.5-remove-key.dns_resolver.patch b/sys-apps/keyutils/files/keyutils-1.5.5-remove-key.dns_resolver.patch
deleted file mode 100644
index 26ff334..0000000
--- a/sys-apps/keyutils/files/keyutils-1.5.5-remove-key.dns_resolver.patch
+++ /dev/null
@@ -1,47 +0,0 @@
-diff -Naur keyutils-1.5.5.orig/Makefile keyutils-1.5.5/Makefile
---- keyutils-1.5.5.orig/Makefile 2011-11-30 15:27:43.000000000 +0000
-+++ keyutils-1.5.5/Makefile 2014-02-21 22:31:47.224588695 +0000
-@@ -86,7 +86,7 @@
- # Normal build rule
- #
- ###############################################################################
--all: $(DEVELLIB) keyctl request-key key.dns_resolver
-+all: $(DEVELLIB) keyctl request-key
-
- ###############################################################################
- #
-@@ -137,9 +137,6 @@
- request-key: request-key.o $(DEVELLIB)
- $(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils
-
--key.dns_resolver: key.dns_resolver.o $(DEVELLIB)
-- $(CC) -L. $(CFLAGS) $(LDFLAGS) $(RPATH) -o $@ $< -lkeyutils -lresolv
--
- ###############################################################################
- #
- # Install everything
-@@ -156,7 +153,6 @@
- $(INSTALL) -D keyctl $(DESTDIR)$(BINDIR)/keyctl
- $(INSTALL) -D request-key $(DESTDIR)$(SBINDIR)/request-key
- $(INSTALL) -D request-key-debug.sh $(DESTDIR)$(SHAREDIR)/request-key-debug.sh
-- $(INSTALL) -D key.dns_resolver $(DESTDIR)$(SBINDIR)/key.dns_resolver
- $(INSTALL) -D -m 0644 request-key.conf $(DESTDIR)$(ETCDIR)/request-key.conf
- mkdir -p $(DESTDIR)$(ETCDIR)/request-key.d
- $(INSTALL) -D -m 0644 keyctl.1 $(DESTDIR)$(MAN1)/keyctl.1
-@@ -187,7 +183,6 @@
- $(LNS) recursive_key_scan.3 $(DESTDIR)$(MAN3)/recursive_session_key_scan.3
- $(INSTALL) -D -m 0644 request-key.conf.5 $(DESTDIR)$(MAN5)/request-key.conf.5
- $(INSTALL) -D -m 0644 request-key.8 $(DESTDIR)$(MAN8)/request-key.8
-- $(INSTALL) -D -m 0644 key.dns_resolver.8 $(DESTDIR)$(MAN8)/key.dns_resolver.8
- $(INSTALL) -D -m 0644 keyutils.h $(DESTDIR)$(INCLUDEDIR)/keyutils.h
-
- ###############################################################################
-@@ -206,7 +201,7 @@
- clean:
- $(MAKE) -C tests clean
- $(RM) libkeyutils*
-- $(RM) keyctl request-key key.dns_resolver
-+ $(RM) keyctl request-key
- $(RM) *.o *.os *~
- $(RM) debugfiles.list debugsources.list
-
diff --git a/sys-apps/keyutils/files/keyutils-1.5.9-UINT_MAX.patch b/sys-apps/keyutils/files/keyutils-1.5.9-UINT_MAX.patch
new file mode 100644
index 0000000..65a50b0
--- /dev/null
+++ b/sys-apps/keyutils/files/keyutils-1.5.9-UINT_MAX.patch
@@ -0,0 +1,12 @@
+Patch sent to dhowells@redhat.com
+
+--- a/keyutils-1.5.9/key.dns_resolver.c 2014-02-21 17:18:24.000000000 -0200
++++ b/keyutils-1.5.9/key.dns_resolver.c 2015-04-03 17:29:22.517832174 -0200
+@@ -42,6 +42,7 @@
+ #include <netinet/in.h>
+ #include <arpa/nameser.h>
+ #include <arpa/inet.h>
++#include <limits.h>
+ #include <resolv.h>
+ #include <getopt.h>
+ #include <sys/types.h>
diff --git a/sys-apps/keyutils/keyutils-1.5.5-r99.ebuild b/sys-apps/keyutils/keyutils-1.5.9-r99.ebuild
index 37d515d..d148784 100644
--- a/sys-apps/keyutils/keyutils-1.5.5-r99.ebuild
+++ b/sys-apps/keyutils/keyutils-1.5.9-r99.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-apps/keyutils/keyutils-1.5.5.ebuild,v 1.11 2014/01/18 04:49:23 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-apps/keyutils/keyutils-1.5.9-r1.ebuild,v 1.12 2015/01/05 13:45:19 jlec Exp $
-EAPI="3"
+EAPI="5"
-inherit multilib eutils toolchain-funcs linux-info
+inherit multilib eutils toolchain-funcs linux-info multilib-minimal
DESCRIPTION="Linux Key Management Utilities"
HOMEPAGE="http://people.redhat.com/dhowells/keyutils/"
@@ -15,6 +15,11 @@ SLOT="0"
KEYWORDS="amd64 arm ~mips ppc x86"
IUSE="test"
+RDEPEND="
+ abi_x86_32? (
+ !<=app-emulation/emul-linux-x86-baselibs-20140508-r1
+ !app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
+ )"
DEPEND="!prefix? ( >=sys-kernel/linux-headers-2.6.11 )"
pkg_setup() {
@@ -27,15 +32,7 @@ pkg_setup() {
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.5.5-makefile-fixup.patch
- epatch "${FILESDIR}"/${PN}-1.5.5-remove-key.dns_resolver.patch
- sed -i \
- -e '1iRPATH=' \
- -e '/^C.*FLAGS/s|:=|+=|' \
- -e 's:-Werror::' \
- -e '/^BUILDFOR/s:=.*:=:' \
- -e "/^LIBDIR/s:=.*:=/usr/$(get_libdir):" \
- -e '/^USRLIBDIR/s:=.*:=$(LIBDIR):' \
- Makefile || die
+ epatch "${FILESDIR}"/${PN}-1.5.9-UINT_MAX.patch
# The lsb check is useless, so avoid spurious command not found messages.
sed -i -e 's,lsb_release,:,' tests/prepare.inc.sh || die
@@ -48,23 +45,39 @@ src_prepare() {
# run the install keyutils rather than the locally compiled one,
# so disable round trip tests.
rm -rf tests/keyctl/requesting/{bad-args,piped,valid}
+
+ multilib_copy_sources
}
-src_configure() {
+multilib_src_compile() {
tc-export CC
tc-export AR
+ sed -i \
+ -e '1iRPATH=' \
+ -e '/^C.*FLAGS/s|:=|+=|' \
+ -e 's:-Werror::' \
+ -e '/^BUILDFOR/s:=.*:=:' \
+ -e "/^LIBDIR/s:=.*:= /usr/$(get_libdir):" \
+ -e '/^USRLIBDIR/s:=.*:=$(LIBDIR):' \
+ -e "s: /: ${EPREFIX}/:g" \
+ Makefile || die
+
+ emake
}
-src_test() {
+multilib_src_test() {
# Execute the locally compiled code rather than the
# older versions already installed in the system.
- LD_LIBRARY_PATH=${S} \
- PATH="${S}:${PATH}" \
- emake test || die
+ LD_LIBRARY_PATH=${BUILD_DIR} \
+ PATH="${BUILD_DIR}:${PATH}" \
+ emake test
+}
+
+multilib_src_install() {
+ default
+ multilib_is_native_abi && gen_usr_ldscript -a keyutils
}
-src_install() {
- emake DESTDIR="${ED}" install || die
+multilib_src_install_all() {
dodoc README
- gen_usr_ldscript -a keyutils
}